using BS.Shared;

namespace BeWo.Data.Entities
{
    public class VarFieldDef : BeWoEntityBase
    {
        public static string PropertyName_ColumnSpan = "ColumnSpan";

        public static string PropertyName_ControlType = "ControlType";

        public static string PropertyName_DecimalPlaces = "DecimalPlaces";

        public static string PropertyName_Group = "Group";

        public static string PropertyName_Height = "Height";

        public static string PropertyName_Label = "Label";

        public static string PropertyName_ObjectTid = "ObjectTid";

        public static string PropertyName_PossibleItems = "PossibleItems";

        public static string PropertyName_RowSpan = "RowSpan";

        public static string PropertyName_Width = "Width";

        public static string PropertyName_XCoordinate = "XCoordinate";

        public static string PropertyName_YCoordinate = "YCoordinate";

        private int? _ColumnSpan;

        private ControlType _ControlType;

        private int _DecimalPlaces;

        private string _Group;

        private int? _Height;

        private string _Label;

        private TableID _ObjectTid;

        private string _PossibleItems;

        private int? _RowSpan;

        private int? _Width;

        private int _XCoordinate;

        private int _YCoordinate;

        public VarFieldDef()
        {
            this._Tid = TableID.VarFieldDef;
        }

        public virtual int? ColumnSpan
        {
            get
            {
                return this._ColumnSpan;
            }

            set
            {
                if (this.AreDifferent(this._ColumnSpan, value))
                {
                    this._ColumnSpan = value;
                }
            }
        }

        public virtual ControlType ControlType
        {
            get
            {
                return this._ControlType;
            }

            set
            {
                if (this.AreDifferent(this._ControlType, value))
                {
                    this._ControlType = value;
                }
            }
        }

        public virtual int DecimalPlaces
        {
            get
            {
                return this._DecimalPlaces;
            }

            set
            {
                if (this.AreDifferent(this._DecimalPlaces, value))
                {
                    this._DecimalPlaces = value;
                }
            }
        }

        public virtual string Group
        {
            get
            {
                return this._Group;
            }

            set
            {
                if (this.AreDifferent(this._Group, value))
                {
                    this._Group = value;
                }
            }
        }

        public virtual int? Height
        {
            get
            {
                return this._Height;
            }

            set
            {
                if (this.AreDifferent(this._Height, value))
                {
                    this._Height = value;
                }
            }
        }

        public virtual string Label
        {
            get
            {
                return this._Label;
            }

            set
            {
                if (this.AreDifferent(this._Label, value))
                {
                    this._Label = value;
                }
            }
        }

        public virtual TableID ObjectTid
        {
            get
            {
                return this._ObjectTid;
            }

            set
            {
                if (this.AreDifferent(this._ObjectTid, value))
                {
                    this._ObjectTid = value;
                }
            }
        }

        public virtual string PossibleItems
        {
            get
            {
                return this._PossibleItems;
            }

            set
            {
                if (this.AreDifferent(this._PossibleItems, value))
                {
                    this._PossibleItems = value;
                }
            }
        }

        public virtual int? RowSpan
        {
            get
            {
                return this._RowSpan;
            }

            set
            {
                if (this.AreDifferent(this._RowSpan, value))
                {
                    this._RowSpan = value;
                }
            }
        }

        public virtual int? Width
        {
            get
            {
                return this._Width;
            }

            set
            {
                if (this.AreDifferent(this._Width, value))
                {
                    this._Width = value;
                }
            }
        }

        public virtual int XCoordinate
        {
            get
            {
                return this._XCoordinate;
            }

            set
            {
                if (this.AreDifferent(this._XCoordinate, value))
                {
                    this._XCoordinate = value;
                }
            }
        }

        public virtual int YCoordinate
        {
            get
            {
                return this._YCoordinate;
            }

            set
            {
                if (this.AreDifferent(this._YCoordinate, value))
                {
                    this._YCoordinate = value;
                }
            }
        }
    }
}